

import org.apache.poi.POITextExtractor;
import org.apache.poi.extractor.ExtractorFactory;

import java.io.File;

import junit.framework.TestCase;

/**
 * Filter using Poi 3.5 libraries
 */
public class TestUnitPoi35Filter extends TestCase
{
      private String text = "";

      public void testPptEmbeddedWord() throws Exception
      {
         extract(new File("EmbeddedObject_word.pptx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

     public void testPptEmbeddedExcel() throws Exception
      {
         extract(new File("EmbeddedObject_excel.pptx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

     public void testPptEmbeddedPpt() throws Exception
      {
         extract(new File("EmbeddedObject_ppt.pptx"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("testdoc"));
         assertTrue("Unable to find expected word in text\n" + text, text.contains("test phrase"));
      }

      public void extract(File f) throws Exception
      {
         // Then, extract text
         POITextExtractor extr = ExtractorFactory.createExtractor(f);
         text = extr.getText();
      }

      public String getText()
      {
         return text;
      }

}